Bug 49713 - Kernel panic booting enterprise kernel on pe6400 w/ bios A09
Kernel panic booting enterprise kernel on pe6400 w/ bios A09
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-23 10:29 EDT by Clay Cooper
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-24 18:45:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Serial console output of enterprise kernel panic (7.37 KB, text/plain)
2001-07-23 10:30 EDT, Clay Cooper
no flags Details
Differences of A08 and A09 serial console output showing changes in amount of memory detected. (7.05 KB, text/plain)
2001-07-23 11:38 EDT, Clay Cooper
no flags Details

  None (edit)
Description Clay Cooper 2001-07-23 10:29:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2 i686; en-US; m18)
Gecko/20010131 Netscape6/6.01

Description of problem:
While booting to enterprise kernel on a pe6400 w/ bios A09,a perc3dc raid 1
container and 5GB of memory, kernel panics.  Flash back to A08 and
enterprise kernel loads regularly.  Flash to A09 and kernel panic returns.

UP and SMP kernels load w/ bios A09 just fine.

Attached is serial output of enterprise kernel bootup and panic.

How reproducible:
Always

Steps to Reproduce:
1.Install fairfax beta2 on a 6400 w/ over 4GB of memory and bios A09.  It
is possible that the error depends on the presence of perc3dc.
2.Reboot and choose enterprise kernel to load
3.Note panic			
	

Actual Results:  Kernel panic

Expected Results:  Normal bootup

Additional info:
Comment 1 Clay Cooper 2001-07-23 10:30:43 EDT
Created attachment 24587 [details]
Serial console output of enterprise kernel panic
Comment 2 Arjan van de Ven 2001-07-23 10:38:45 EDT
Is this with grub or with lilo ?
It seems the initrd is corrupted somehow
Comment 3 Clay Cooper 2001-07-23 10:42:13 EDT
Grub
Comment 4 Clay Cooper 2001-07-23 11:38:08 EDT
Created attachment 24608 [details]
Differences of A08 and A09 serial console output showing changes in amount of memory detected.
Comment 5 Arjan van de Ven 2001-07-23 11:49:03 EDT
Very interesting:

- BIOS-e820: 0000000100000000 - 0000000140000000 (usable)
+ BIOS-e820: 0000000100000000 - 0000000140102000 (usable)

is there any way to be certain how much memory there REALLY is ?
Comment 6 Glen Foster 2001-07-23 17:12:49 EDT
This defect is considered MUST-FIX for Fairfax.
Comment 7 Matt Domsch 2001-07-24 18:45:39 EDT
Dell test BIOS T42 fixes this, and the USB failure too.  This will become an X-
rev BIOS, and eventually released as an A-rev BIOS.

Note You need to log in before you can comment on or make changes to this bug.